#include <iostream>
#include "flags.hh"

bool Flags::b_vcg = false;
bool Flags::b_dot = false;
int Flags::i_bb = -1;
int Flags::i_hs = 0;
int Flags::i_ts = 0;
Flags::opt_type_t Flags::opt_type = Flags::TIME;
bool Flags::b_ilp = false;
bool Flags::no_ddep_link = false;

Flags::Flags()
{
}

Flags::~Flags()
{
}

void Flags::usage(void)
{
  std::cerr << "\nUsage:\n"
    "  -archi=<XML file>     Specify target architecture file.\n"
    "  -vcg                  Generate DAGs in VCG format.\n"
    "  -dot                  Generate DAGs in dot format.\n"
    "  -bb=<n>               Generate code for BB number n.\n"
    "  -hs=<n>               Heuristic: at each z generate at most n variants.\n"
    "  -ts=<n>               Heuristic: at each stage generates at most n transfers.\n"
    "  -verb=[1,2,3,4]       Verbosity level.\n"
    "  -?                    Show this help.\n"
    "  -emitter:mnemonic     Prints the mnemonics instead of FORMAT assembler\n"
    "  -emitter:debug        Prints mnemonics next to the assembler\n"
    "  -opt_c_debug          Shows calls to back-end events\n"
    "  -arm_asm              Assembler directives and declarations for ARM\n"
    "  -ilp                  Generates ILP data\n"
    "  -ddep                 Remove DDEP and LINK edges (resulting code might be erronous)\n"
	    << std::endl;
}
